# Uses of Class
org.apache.cxf.staxutils.DepthXMLStreamReader

Packages that use DepthXMLStreamReader
Package
Description
org.apache.cxf.interceptor
org.apache.cxf.staxutils
org.apache.cxf.staxutils.transform

- ## Uses of DepthXMLStreamReader in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return DepthXMLStreamReader
  Modifier and Type
  Method
  Description
  `protected DepthXMLStreamReader`
  AbstractInDatabindingInterceptor.`getXMLStreamReader(Message message)`

- ## Uses of DepthXMLStreamReader in org.apache.cxf.staxutils

  Subclasses of DepthXMLStreamReader in org.apache.cxf.staxutils
  Modifier and Type
  Class
  Description
  `class`
  `DepthRestrictingStreamReader`
  XMLStreamReader implementation which can be used to enforce a number of depth-restricting policies.
  `class`
  `FragmentStreamReader`
  Wraps a XMLStreamReader and provides optional START_DOCUMENT and END_DOCUMENT events.
  `class`
  `PartialXMLStreamReader`
  Read from a StaX reader, stopping when the next element is a specified element.
  Methods in org.apache.cxf.staxutils with parameters of type DepthXMLStreamReader
  Modifier and Type
  Method
  Description
  `static boolean`
  StaxUtils.`skipToStartOfElement(DepthXMLStreamReader in)`
  `static boolean`
  StaxUtils.`toNextElement(DepthXMLStreamReader dr)`
  `static boolean`
  StaxUtils.`toNextTag(DepthXMLStreamReader reader, QName endTag)`
  `static boolean`
  StaxUtils.`toNextText(DepthXMLStreamReader reader)`

- ## Uses of DepthXMLStreamReader in org.apache.cxf.staxutils.transform

  Subclasses of DepthXMLStreamReader in org.apache.cxf.staxutils.transform
  Modifier and Type
  Class
  Description
  `class`
  `InTransformReader`